| .. | |||||
| check_start.sh | |||||
| configure.sh | |||||
| efs_selinux_uninstall_check.sh | |||||
| eset_efs_sysctl.conf | |||||
| eset_efs_sysctl.sh | |||||
| eset_efs_udev.sh | |||||
| perform_app_update.sh | |||||
| register_service.sh | |||||
| remove_certificates.sh | |||||
| sign_modules.sh | |||||
| unconfigure.sh | |||||
| unregister_service.sh |
| Server IP : 103.169.32.36 / Your IP : 216.73.217.13 Web Server : Apache System : Linux web.dpmptsp 3.10.0-1160.119.1.el7.x86_64 #1 SMP Tue Jun 4 14:43:51 UTC 2024 x86_64 User : apache ( 48) PHP Version : 5.6.40 Disable Function : NONE MySQL : ON | cURL : ON | WGET : ON | Perl : ON | Python : ON | Sudo : ON | Pkexec : ON Directory : /opt/eset/efs/lib/install_scripts/ |
Upload File : |
#! /bin/sh
APP_UPDATE_PATH="/var/opt/eset/efs/updated/app/efs.bin"
SYSTEMD_CAT="`which systemd-cat 2>/dev/null || true`"
print_error() {
ERROR_PREFIX="ESET Server Security error:"
# write per one line
while read ERR; do
if [ -n "$SYSTEMD_CAT" ]; then
echo -n "$ERROR_PREFIX $ERR" | $SYSTEMD_CAT -t "efs" -p err
else
echo "$ERROR_PREFIX $ERR" 1>&2
fi
done
}
if [ ! -f "$APP_UPDATE_PATH" ]; then
echo "Application update not found at $APP_UPDATE_PATH" | print_error
exit 1
fi
# change control groups to system one (avoid problems with the product cgroup usage after uninstallation)
change_control_group_if_exists() {
if [ -f "$1" ]; then
echo $$ > "$1"
fi
}
change_control_group_if_exists "/sys/fs/cgroup/systemd/system.slice/tasks"
change_control_group_if_exists "/sys/fs/cgroup/memory/system.slice/tasks"
change_control_group_if_exists "/sys/fs/cgroup/pids/system.slice/tasks"
change_control_group_if_exists "/sys/fs/cgroup/devices/system.slice/tasks"
change_control_group_if_exists "/sys/fs/cgroup/unified/cgroup.procs"
change_control_group_if_exists "/sys/fs/cgroup/cgroup.procs"
echo "Product upgrade in progress... Product will be started automatically when upgrade is finished."
TMP_DIR="`mktemp -d --tmpdir efs_app_update.XXXXXX`"
TMP_PKG_PATH="$TMP_DIR/efs.bin"
# move installation package to tmp dir to avoid starting upgrade second time
mv "$APP_UPDATE_PATH" "$TMP_PKG_PATH"
# set "State.Plugins.PCU.LastUpdRetval" to UPD_RETVAL_SETUP_ERROR
# and "State.Plugins.PCU.LastUpdRetvalIds" to IDS_UPDATE_TEXT_ERR_42 (Installation error)
set_pcu_state_to_error()
{
/opt/eset/efs/sbin/cfg -i /dev/stdin > /dev/null <<HERE
{
"method": "_CE.rpc_api.screen_values_set",
"params": {
"values": {
"Runtime.Plugins.PCU.State" : 0,
"State.Plugins.PCU.LastUpdRetval" : 12802,
"State.Plugins.PCU.LastUpdRetvalIds" : 234881095
}
}
}
HERE
}
# detach from reinstallation process
cd "$TMP_DIR" && ( /bin/sh "$TMP_PKG_PATH" -y -f 2>&1 >/dev/null || set_pcu_state_to_error ) | print_error && rm -rf "$TMP_DIR" &
| .. | |||||
| check_start.sh | |||||
| configure.sh | |||||
| efs_selinux_uninstall_check.sh | |||||
| eset_efs_sysctl.conf | |||||
| eset_efs_sysctl.sh | |||||
| eset_efs_udev.sh | |||||
| perform_app_update.sh | |||||
| register_service.sh | |||||
| remove_certificates.sh | |||||
| sign_modules.sh | |||||
| unconfigure.sh | |||||
| unregister_service.sh |